View Single Post
Old 07-28-2017, 04:12 PM   #14
theol0403
Enthusiast
theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!theol0403 is faster than a rolling 'o,' stronger than silent 'e,' and leaps capital 'T' in a single bound!
 
Posts: 37
Karma: 50278
Join Date: Feb 2017
Device: Kindle PW3
Thanks Knc1 for your great answer

I have the latest paperwhite with the latest firmware bought last year. Jessie is the newest version that can run on the kindle. If you try debootstrapping debian sid or later it will give you "FATAL: KERNEL TOO OLD" error. Same with compiling software on an emulator above jessie and running it on the kindle.
However, jessie is not perfect either. If I try to install and run Firefox ESR or Gnash from the jessie repositories it gives me the same error. To get them to work I have to explicitly install them from wheezy repositories. So wheezy is much better for working with the kindles except that things are older and you may have trouble compiling recent versions of software (note that jessie and jessie-backports are the current stable release, so most packages and libraies are up to date, unlike wheezy which is oldstable).
theol0403 is offline   Reply With Quote